## GtkSourceStyleSchemeChooserWidget GtkSourceStyleSchemeChooserWidget — A widget for choosing style schemes |

## Functions

GtkWidget * | gtk_source_style_scheme_chooser_widget_new ()

## Types and Values

| GtkSourceStyleSchemeChooserWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkSourceStyleSchemeChooserWidget

## Implemented Interfaces

GtkSourceStyleSchemeChooserWidget implements AtkImplementorIface, GtkBuildable and GtkSourceStyleSchemeChooser.

## Includes

    #include <gtksourceview/gtksource.h>

## Description

The GtkSourceStyleSchemeChooserWidget widget lets the user select a style scheme. By default, the chooser presents a predefined list of style schemes.

To change the initially selected style scheme, use `gtk_source_style_scheme_chooser_set_style_scheme()`. To get the selected style scheme use `gtk_source_style_scheme_chooser_get_style_scheme()`.

## Functions

### gtk_source_style_scheme_chooser_widget_new ()

    GtkWidget *
    gtk_source_style_scheme_chooser_widget_new
                                   (void);

Creates a new GtkSourceStyleSchemeChooserWidget.

#### Returns

a new GtkSourceStyleSchemeChooserWidget.

Since: 3.16

## Types and Values

### GtkSourceStyleSchemeChooserWidget

    typedef struct _GtkSourceStyleSchemeChooserWidget GtkSourceStyleSchemeChooserWidget;

## See Also

GtkSourceStyleSchemeChooserButton